﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cv6base.Domain
{
    class Course
    {
        public string Code { get; set; }

        public string Name { get; set; }
                
        public override string ToString()
        {
            return String.Format("{0} - {1}", Code, Name);
        }

        public Course(string code, string name)
        {
            if (code == null)
                throw new ArgumentNullException("code");
            if (string.IsNullOrWhiteSpace(code))
                throw new ArgumentException("Code canˇt be empty or consist only of white-space chars.", "code");
            if (name == null)
                throw new ArgumentNullException("name");
            if (string.IsNullOrWhiteSpace(name))
                throw new ArgumentException("Name canˇt be empty or consist only of white-space chars.", "name");

            Code = code;
            Name = name;
        }
    }
}
