﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Cv6base.Domain;

namespace Cv6base
{
    class Program
    {
        static void Main(string[] args)
        {
            University university = new University();
            Load(university);
           

            Console.ReadKey();
        }

        private static void Load(University university)
        {
            Course pv178 = new Course("PV178", "Instoduction to C#/.NET");
            Course pb069 = new Course("PB069", "Development of Desktop Applications in C#/.NET");
            Course pb162 = new Course("PV162", "Java");
            Course pv168 = new Course("PV168", "Java Seminar");

            university.Register("Homer Simpson", new DateTime(1980, 7, 20), new DateTime(1981, 2, 10),
                                new EnrolledCourse(pv178, Mark.F),
                                new EnrolledCourse(pb069, Mark.F),
                                new EnrolledCourse(pb162, Mark.C));
            university.Register("Marge Simpson", new DateTime(1980, 7, 20), new DateTime(1986, 8, 30),
                                new EnrolledCourse(pv178, Mark.A),
                                new EnrolledCourse(pb069, Mark.C),
                                new EnrolledCourse(pb162, Mark.A));
            university.Register("Lisa Simpson", new DateTime(1993, 8, 21), new DateTime(1996, 6, 30),
                                new EnrolledCourse(pv178, Mark.A),
                                new EnrolledCourse(pb069, Mark.A),
                                new EnrolledCourse(pb162, Mark.A));
            university.Register("Bart Simpson", new DateTime(1990, 9, 2), new DateTime(1992, 4, 10),
                                new EnrolledCourse(pv178, Mark.E),
                                new EnrolledCourse(pb069, Mark.D),
                                new EnrolledCourse(pb162, Mark.C));
            university.Register("Mongomery Burns", new DateTime(1950, 8, 21), new DateTime(1953, 6, 30),
                                new EnrolledCourse(pv178, Mark.A),
                                new EnrolledCourse(pb069, Mark.A),
                                new EnrolledCourse(pb162, Mark.A));
            university.Register("Kent Brockman", new DateTime(1971, 9, 2), new DateTime(1976, 4, 10),
                                new EnrolledCourse(pv178, Mark.C),
                                new EnrolledCourse(pb069, Mark.E),
                                new EnrolledCourse(pb162, Mark.C));
            university.Register("Moe Szyslak", new DateTime(1980, 9, 2), new DateTime(1984, 4, 10),
                                new EnrolledCourse(pv178, Mark.D),
                                new EnrolledCourse(pb069, Mark.B),
                                new EnrolledCourse(pb162, Mark.A));
            university.Register("Krusty The Clown", new DateTime(1976, 9, 2), new DateTime(1979, 4, 10),
                                new EnrolledCourse(pv178, Mark.E),
                                new EnrolledCourse(pb069, Mark.E),
                                new EnrolledCourse(pb162, Mark.E));
            university.Register("Ned Flanders", new DateTime(1979, 9, 2), new DateTime(1984, 4, 10),
                                new EnrolledCourse(pv178, Mark.A),
                                new EnrolledCourse(pb069, Mark.A),
                                new EnrolledCourse(pb162, Mark.A));
        }
    }
}
